Bug 31837 - RFE: please add ru-yawerty keyborad map to xfree86
RFE: please add ru-yawerty keyborad map to xfree86
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-03-14 23:20 EST by Eugene Kanter
Modified: 2007-03-26 23:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-08 01:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ru-yawerty X keyboard map (4.12 KB, text/plain)
2001-03-14 23:21 EST, Eugene Kanter
no flags Details
new symbols/ru-yawerty. previous one have missed symbols. (4.12 KB, patch)
2001-07-03 07:34 EDT, Leonid Kanter
no flags Details | Diff

  None (edit)
Description Eugene Kanter 2001-03-14 23:20:02 EST
ru-yawerty keyboard map has been available in console for a long time. It
also present in text mode install menu selection.
the time to make it in X is long due. Does Xconfigurator copy appropriate
keyboard map from console mode to X mode?

The /usr/X11R6/lib/X11/xkb/symbols/ru-yawerty is attached. File made from
by Leon Kanter <leon@geon.donetsk.ua>
Comment 1 Eugene Kanter 2001-03-14 23:21:44 EST
Created attachment 12705 [details]
ru-yawerty X keyboard map
Comment 2 Eugene Kanter 2001-03-20 10:11:45 EST
This request is both extremely important and extremely easy to implement. Yes, 
it is kind of late in the release cycle. But 4.0.3 packages have just been 
made. It was a good opportunity to include this file!!

I am not talking about modifiying Xconfigurator.....
Comment 3 Mike A. Harris 2001-03-21 20:42:53 EST
Reopening an RFE that has been deferred is NOT a good way to get the
request implemented.  When I mark something as DEFERRED, it means that
I consider the request worthy of looking into, and higher priority than
others that are not dealt with yet.

We are deep into development cycle right now, and this change _WILL_NOT_
get implemented right now as it is NOT a critical bug fix.  It is not a
matter of how simple it is to implement, it is a matter of how much time
I have to spend on XFree86 bugs right now.  Enhancments are at the bottom
of my priority list.  5 minutes spent on this, is 5 minutes not spent
working on fixing a driver so that 10000 people can use some video card
that doesn't have a working driver.

I had kept it defered for future consideration as I do not see anything wrong
with your request, however changing the status of my decision in order to try
and force the change to happen sooner rather than later is more likely to have
it not happen at all.

Have you requested this change to the XFree86 team at fixes@xfree86.org?
If not, please do so, and state that you'd like it applied to the 4.0.2
branch as well as the trunk.  This is the fastest way to get it into the
core XFree86 code right now.

Comment 4 Leonid Kanter 2001-07-03 07:34:43 EDT
Created attachment 22548 [details]
new symbols/ru-yawerty. previous one have missed symbols.
Comment 5 Eugene Kanter 2001-07-07 21:33:28 EDT
What is the current status of this? Please take a look if you have time.
Comment 6 Mike A. Harris 2001-07-08 01:14:11 EDT
The status is "not done yet".  When it is done, I will close the bug
report.  No need to ask for status updates.
Comment 7 Mike A. Harris 2001-11-06 04:04:27 EST
I have decided that this sort of change is something that should
be requested directly upstream to XFree86.  We want to stay as
close to XFree86's codebase as possible.  Also, the rest of the
community deserves to benefit from such enhancements as well.
Please submit your request for ru-yawerty keyboard mapping support
directly to XFree86 via email to the fixes@xfree86.org address.

This is the fastest way to get any such submissions into XFree86 proper.

Note You need to log in before you can comment on or make changes to this bug.